from typing import Sequence

import pytest
from . import DatabaseInfo
from ._CreatedDatabaseTest import CreatedDatabaseTest


class SingleCreatedDatabaseTest(CreatedDatabaseTest):
    def get_database_infos(self) -> Sequence[DatabaseInfo]:
        return [
            DatabaseInfo(name="any")
        ]

    @pytest.fixture
    def conn_string(self) -> str:
        return self.get_database_infos()[0].conn_string
